SystemOrganization addCategory: #'JQWidgetBox-BubbleTip-Core'!

JQWidget subclass: #JQBubbleTip
	instanceVariableNames: 'target'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-BubbleTip-Core'!

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:32'!
animationDuration: aNumber
	"the animation duration; default: 250 (ms)."
	self optionAt: 'animationDuration' put: aNumber! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:44'!
animationEasing: aString
	"standard animation easing, for example: swing (default) | linear."
	self optionAt: 'animationEasing' put: aString! !

!JQBubbleTip methodsFor: 'accessing' stamp: 'NickAger 2/9/2010 00:46'!
arguments
	(target isNil) ifTrue: [self error: 'you must define a target, see samples'].
	
	^ (Array with: target), super arguments! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:44'!
bindHide: aString
	"the bind event(s) to hide the tip, for example: mouseout (default) | blur | ..."
	self optionAt: 'bindHide' put: aString! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:44'!
bindShow: aString
	"the bind event(s) to show the tip, for example: mouseover (default) | focus | click | ..."
	self optionAt: 'bindShow' put: aString! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:18'!
calculateOnShow: aBoolean
	self optionAt: 'calculateOnShow' put: aBoolean! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:44'!
delayHide: aNumber
	"the time in ms to delay hiding the tip; default: 500 (ms)"
	self optionAt: 'delayHide' put: aNumber! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:28'!
delayShow: aNumber
	"the time in ms to delay showing the tip; default: 0"
	self optionAt: 'delayShow' put: aNumber! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:30'!
deltaDirection: aString
	"the direction the tip will animate; for example: up(default) | down | left | right"
	self optionAt: 'deltaDirection' put: aString! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:31'!
deltaPosition: aNumber
	"the distance the tip will travel during animation; default: 30 (pixels)"
	self optionAt: 'deltaPosition:' put: aNumber! !

!JQBubbleTip methodsFor: 'accessing' stamp: 'NickAger 2/4/2010 12:22'!
method
	^'bubbletip'! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:36'!
offsetLeft: aNumber
	"offset the horizontal position; default: 0 (pixels)"
	self optionAt: 'offsetLeft' put: aNumber! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:36'!
offsetTop: aNumber
	"offset the vertical position; default: 0 (pixels)"
	self optionAt: 'offsetTop' put: aNumber! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/4/2010 13:43'!
positionAt: aString
	"the tip location type for example; element(default) | body | mouse  "
	self optionAt: 'positionAt' put: aString
! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/8/2010 16:11'!
positionAtElement: aJQuery
	"the element to anchor the tip at (e.g. $('#target')); leave blank to anchor to the trigger; requires positionAt: element;)"
	self optionAt: 'positionAtElement' put: aJQuery! !

!JQBubbleTip methodsFor: 'options' stamp: 'NickAger 2/8/2010 15:52'!
target: aJQuery
	"the jQuery expression to select the element to display within the bubble"
	target := aJQuery! !

!JQueryInstance methodsFor: '*jqwidgetbox-bubbletip-core' stamp: 'NickAger 2/4/2010 14:46'!
bubbletip
	^ self create: JQBubbleTip! !

WAFileLibrary subclass: #JQWidgetBoxLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-BubbleTip-Core'!

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipBLcornerPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 33 8 6 0 0 0 87 228 194 111 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 225 73 68 65 84 120 218 98 248 255 255 63 3 177 24 8 24 129 152 9 136 89 129 152 19 136 121 129 88 8 136 37 128 88 30 136 213 39 109 122 249 159 84 0 16 64 32 3 7 28 0 4 208 160 112 4 64 0 13 10 71 0 4 208 160 112 4 64 0 13 10 71 0 4 16 37 142 248 79 164 24 65 0 16 64 148 134 196 127 52 76 22 0 8 32 38 42 135 2 89 14 1 8 32 38 42 133 194 63 24 253 238 203 95 134 167 111 127 147 100 16 64 0 49 144 88 98 194 28 206 2 196 236 64 204 13 196 252 64 44 2 196 82 64 172 8 196 154 107 143 189 39 169 196 4 8 32 22 42 165 5 88 104 128 240 223 203 15 190 131 21 153 171 113 51 72 11 179 18 52 12 32 128 24 145 124 72 88 49 35 35 114 253 1 11 17 24 6 217 198 6 197 160 80 98 109 88 246 236 162 16 15 51 65 115 1 2 136 82 71 48 67 49 204 33 108 72 152 21 205 145 204 72 250 24 145 205 5 8 32 74 163 227 31 212 64 88 84 252 65 179 4 57 154 96 142 102 68 115 4 35 64 0 177 80 49 119 252 133 26 254 27 73 254 47 212 163 127 209 66 1 197 17 0 1 196 66 97 25 129 28 26 12 88 196 153 209 28 128 28 74 112 61 0 1 196 66 165 18 243 47 30 71 48 97 9 5 20 71 3 4 16 165 209 193 128 20 223 127 209 228 152 144 228 24 145 18 52 3 186 35 0 2 136 146 132 137 158 248 96 14 65 230 163 251 158 17 155 35 0 2 136 26 33 193 136 150 54 254 99 17 67 183 28 197 17 0 1 68 141 52 129 45 132 24 209 28 137 205 114 56 27 32 128 40 117 4 3 154 207 177 69 23 3 30 54 24 0 4 16 53 28 65 168 129 195 72 168 138 7 8 32 106 57 130 80 20 97 13 1 24 0 8 32 146 234 14 90 1 128 0 26 20 13 93 128 0 26 20 142 0 8 160 65 225 8 128 0 26 20 142 0 8 160 65 225 8 128 0 26 20 142 0 8 160 65 225 8 128 0 3 0 42 128 10 183 114 62 90 45 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipBPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 100 0 0 0 33 8 6 0 0 0 47 119 14 139 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 0 136 73 68 65 84 120 218 236 218 219 13 131 48 20 68 193 107 72 93 52 73 41 233 42 13 240 148 76 5 241 247 74 204 41 97 71 6 97 209 122 239 189 20 211 100 2 32 2 2 68 64 128 8 8 16 1 1 34 32 250 215 103 253 254 172 16 84 171 170 197 12 65 39 164 170 78 51 100 129 236 102 200 2 217 204 224 132 104 0 114 152 193 75 93 3 144 203 12 89 32 183 25 128 104 240 165 238 62 43 168 217 4 97 39 196 127 114 89 121 92 1 17 16 32 2 2 68 64 94 208 3 0 0 255 255 3 0 158 124 18 132 173 177 161 218 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipBRcornerPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 33 8 6 0 0 0 87 228 194 111 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 227 73 68 65 84 120 218 98 248 79 34 152 180 233 229 127 6 6 6 117 32 150 7 98 9 32 22 2 98 94 32 230 4 98 86 32 102 2 98 70 160 82 6 98 49 64 0 129 52 12 56 0 8 160 65 225 8 128 0 26 20 142 0 8 160 65 225 8 128 0 26 20 142 0 8 32 114 29 241 159 72 49 162 0 64 0 81 18 18 255 209 48 217 0 32 128 152 40 116 0 85 66 3 32 128 72 114 196 211 183 191 25 222 125 249 11 98 254 131 90 248 143 26 161 1 16 64 12 164 148 150 107 143 189 7 89 164 9 196 138 64 44 5 196 34 64 204 15 196 220 64 204 14 196 44 48 143 145 82 98 2 4 16 11 177 33 112 242 214 87 134 203 15 190 131 184 127 161 33 240 15 75 186 32 43 52 0 2 136 101 242 230 87 4 21 129 162 160 33 74 74 31 200 252 13 196 127 240 56 132 172 116 1 16 64 140 64 108 135 37 113 193 44 248 11 181 20 134 65 142 248 133 132 255 32 57 10 197 97 160 96 38 22 0 4 16 11 212 176 255 88 82 62 204 208 63 72 142 249 141 100 241 63 52 76 118 116 0 4 16 200 17 63 112 56 2 61 52 144 29 130 236 115 138 115 7 64 0 129 28 241 29 75 62 255 143 230 203 191 88 28 131 47 129 146 4 0 2 8 22 18 184 74 66 116 135 252 67 11 133 191 212 40 49 1 2 8 228 136 159 56 74 189 127 56 28 243 15 205 1 255 40 117 8 64 0 193 18 38 3 142 40 193 22 42 255 177 208 20 21 219 0 1 196 2 77 104 184 28 129 45 122 254 227 40 27 200 14 9 128 0 98 129 38 50 108 62 193 102 1 174 130 137 162 52 1 16 64 232 142 192 231 24 92 150 82 228 0 16 0 8 32 22 104 2 35 181 17 67 177 197 200 0 32 128 88 8 24 72 85 203 112 1 128 0 98 36 165 140 167 21 0 8 160 65 209 208 5 8 160 65 225 8 128 0 26 20 142 0 8 160 65 225 8 128 0 26 20 142 0 8 160 65 225 8 128 0 26 20 142 0 8 48 0 81 60 115 39 124 6 50 184 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipBtailPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 33 8 6 0 0 0 171 241 233 165 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 3 133 73 68 65 84 120 218 98 252 15 4 12 131 24 0 4 16 19 195 32 7 0 1 52 232 29 8 16 64 131 222 129 0 1 52 232 29 8 16 64 131 222 129 0 1 52 232 29 8 16 64 131 222 129 0 1 52 232 29 8 16 64 131 222 129 0 1 52 232 29 8 16 64 131 222 129 0 1 196 50 121 243 43 162 21 51 50 50 48 72 10 177 50 24 41 115 49 200 137 178 49 48 51 49 18 165 239 239 191 255 12 143 94 255 98 56 119 247 27 195 243 119 191 25 72 169 253 1 2 8 100 131 29 14 113 100 154 9 202 102 146 144 215 226 73 110 216 60 45 205 91 70 66 22 232 72 66 78 4 185 229 49 208 113 179 182 62 121 49 183 193 55 235 197 195 107 95 128 66 255 160 82 255 144 148 33 211 112 0 16 64 204 64 44 9 242 36 30 252 15 137 254 247 229 227 235 159 204 44 172 55 152 69 141 220 212 165 57 153 56 216 240 167 146 143 95 255 50 172 62 242 238 207 206 85 19 171 175 28 223 244 24 40 244 7 9 255 69 99 99 96 128 0 2 57 80 4 77 211 31 44 154 254 33 225 255 15 174 31 127 45 169 102 243 151 95 68 218 88 86 132 141 129 133 25 123 56 254 252 253 159 225 40 48 192 246 238 63 50 103 253 244 252 61 80 51 127 35 153 255 27 143 221 96 12 16 64 32 7 242 19 112 220 95 44 14 253 127 254 224 138 43 210 198 49 6 178 18 188 146 34 124 172 224 244 137 12 128 201 142 225 214 211 31 12 27 14 61 60 55 171 198 179 251 239 159 223 191 160 14 66 199 120 29 11 16 64 32 7 242 16 225 192 127 232 161 8 114 196 219 231 119 207 252 151 116 246 212 146 227 226 224 225 100 70 113 224 203 15 191 25 22 236 121 249 97 253 212 220 252 151 143 175 127 4 10 253 194 226 48 130 33 8 16 64 32 83 57 241 164 59 140 52 8 117 28 24 191 121 126 247 155 136 148 202 125 54 33 85 15 21 73 14 6 54 22 72 48 126 253 241 143 97 219 217 79 12 135 118 173 173 60 188 113 242 53 44 142 131 225 191 88 210 35 138 91 0 2 8 228 64 54 2 209 249 23 205 97 40 57 239 250 233 109 143 100 13 2 248 5 133 132 116 164 128 69 16 40 106 207 220 249 198 176 231 248 141 85 11 154 130 150 34 133 20 182 104 69 118 16 214 100 5 16 64 32 7 178 96 137 66 100 199 253 71 115 32 3 58 251 198 153 237 167 133 180 195 236 21 36 184 69 62 0 115 237 154 67 207 111 206 174 246 40 249 249 253 243 79 2 14 132 57 236 31 142 164 244 15 32 128 152 161 69 13 46 7 162 59 14 43 6 58 228 15 27 7 215 233 143 236 58 1 151 31 124 251 125 124 235 140 212 235 167 183 191 36 194 113 127 241 57 14 132 1 2 8 148 104 88 9 20 228 140 208 130 26 134 89 160 158 98 65 98 131 113 70 251 238 80 144 166 25 149 174 171 209 162 10 91 136 253 195 18 51 24 0 32 128 24 113 212 199 140 56 28 201 140 7 51 33 233 251 143 150 209 112 165 113 116 199 97 56 20 32 128 88 112 184 254 63 22 7 50 96 137 94 228 144 192 166 14 87 169 64 84 232 129 0 64 0 177 16 82 128 92 246 162 133 236 127 104 168 193 44 103 194 162 30 91 166 195 150 166 113 2 128 0 98 38 163 5 196 136 197 208 255 104 153 234 47 158 76 71 180 227 64 0 32 128 88 72 112 216 127 44 33 249 31 45 122 113 37 5 108 165 1 81 0 32 128 24 73 12 57 6 52 199 96 19 99 192 81 102 254 199 34 78 16 0 4 16 35 25 209 139 205 177 216 204 250 143 195 177 12 164 132 32 64 0 49 146 153 6 9 177 25 240 20 31 36 141 166 1 4 16 57 14 196 167 151 17 143 35 200 26 230 3 8 32 74 28 72 200 44 170 140 59 2 4 24 0 118 14 250 174 8 28 126 155 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipCss
	^ '/*******************************/
/********* bubbletip ***********/
/*******************************/
.bubbletip
{
	position: absolute;
	z-index: 50;
	border-collapse: collapse;
}
.bubbletip td.bt-topleft
{
	background: transparent url(bubbletip.png) no-repeat scroll 0px 0px;
	height: 33px;
	width: 33px;
}
.bubbletip td.bt-top
{
	background: transparent url(bubbletip-T-B.png) repeat-x scroll 0px 0px;
	height: 33px;
}
.bubbletip td.bt-topright
{
	background: transparent url(bubbletip.png) no-repeat scroll -73px 0px;
	height: 33px;
	width: 33px;
}
.bubbletip td.bt-left-tail div.bt-left, .bubbletip td.bt-left
{
	background: transparent url(bubbletip-L-R.png) repeat-y scroll 0px 0px;
	width: 33px;
}
.bubbletip td.bt-left-tail div.bt-left-tail
{
	background: transparent url(bubbletip.png) no-repeat scroll 0px -33px;
	width: 33px;
	height: 40px;
}
.bubbletip td.bt-right-tail div.bt-right, .bubbletip td.bt-right
{
	background: transparent url(bubbletip-L-R.png) repeat-y scroll -33px 0px;
	width: 33px;
}
.bubbletip td.bt-right-tail div.bt-right-tail
{
	background: transparent url(bubbletip.png) no-repeat scroll -73px -33px;
	width: 33px;
	height: 40px;
}
.bubbletip td.bt-bottomleft
{
	background: transparent url(bubbletip.png) no-repeat scroll 0px -73px;
	height: 33px;
	width: 33px;
}
.bubbletip td.bt-bottom
{
	background: transparent url(bubbletip-T-B.png) repeat-x scroll 0px -33px;
	height: 33px;
}
.bubbletip td.bt-bottomright
{
	background: transparent url(bubbletip.png) no-repeat scroll -73px -73px;
	height: 33px;
	width: 33px;
}
.bubbletip table.bt-top, .bubbletip table.bt-bottom
{
	width: 100%;
}
.bubbletip table.bt-top th
{
	width: 50%;
	background: transparent url(bubbletip-T-B.png) repeat-x scroll 0px 0px;
}
.bubbletip table.bt-bottom th
{
	width: 50%;
	background: transparent url(bubbletip-T-B.png) repeat-x scroll 0px -33px;
}
.bubbletip table.bt-top td div
{
	background: transparent url(bubbletip.png) no-repeat scroll -33px 0px;
	width: 40px;
	height: 33px;
}
.bubbletip table.bt-bottom td div
{
	background: transparent url(bubbletip.png) no-repeat scroll -33px -73px;
	width: 40px;
	height: 33px;
}
.bubbletip td.bt-content
{
	background-color: #fff;
	vertical-align: middle;
}
/*******************************/

'! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipIECss
	^ '/*******************************/
/******** bubbletip-IE *********/
/*******************************/
.bubbletip td.bt-topleft
{
	background-image: url(bubbletip-TL-corner.png);
	background-repeat: no-repeat;
	background-position: 0px 0px;
	background-attachment: scroll;
}
.bubbletip td.bt-top
{
	background: transparent url(bubbletip-T.png) repeat-x scroll 0px 0px;
}
.bubbletip td.bt-topright
{
	background: transparent url(bubbletip-TR-corner.png) no-repeat scroll 0px 0px;
}
.bubbletip td.bt-left-tail div.bt-left, .bubbletip td.bt-left
{
	background: transparent url(bubbletip-L.png) repeat-y scroll 0px 0px;
}
.bubbletip td.bt-left-tail div.bt-left-tail
{
	background: transparent url(bubbletip-L-tail.png) no-repeat scroll 0px 0px;
}
.bubbletip td.bt-right-tail div.bt-right, .bubbletip td.bt-right
{
	background: transparent url(bubbletip-R.png) repeat-y scroll 0px 0px;
}
.bubbletip td.bt-right-tail div.bt-right-tail
{
	background: transparent url(bubbletip-R-tail.png) no-repeat scroll 0px 0px;
}
.bubbletip td.bt-bottomleft
{
	background: transparent url(bubbletip-BL-corner.png) no-repeat scroll 0px 0px;
}
.bubbletip td.bt-bottom
{
	background: transparent url(bubbletip-B.png) repeat-x scroll 0px 0px;
}
.bubbletip td.bt-bottomright
{
	background: transparent url(bubbletip-BR-corner.png) no-repeat scroll 0px 0px;
}
.bubbletip table.bt-top th
{
	background: transparent url(bubbletip-T.png) repeat-x scroll 0px 0px;
}
.bubbletip table.bt-bottom th
{
	background: transparent url(bubbletip-B.png) repeat-x scroll 0px 0px;
}
.bubbletip table.bt-top td div
{
	background: transparent url(bubbletip-T-tail.png) no-repeat scroll 0px 0px;
}
.bubbletip table.bt-bottom td div
{
	background: transparent url(bubbletip-B-tail.png) no-repeat scroll 0px 0px;
}
/*******************************/

'! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipLPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 100 8 6 0 0 0 8 113 89 176 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 0 121 73 68 65 84 120 218 236 206 161 17 194 64 0 0 193 227 103 16 17 49 81 56 36 253 166 20 186 74 21 159 22 192 189 216 155 57 191 205 57 251 245 234 81 141 234 89 109 213 94 29 213 171 122 87 159 243 123 205 127 27 45 16 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 196 26 136 27 0 0 255 255 3 0 101 239 85 48 100 107 6 119 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipLRPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 66 0 0 0 1 8 6 0 0 0 106 152 120 42 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 0 4 103 65 77 65 0 0 177 142 124 251 81 147 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 0 78 73 68 65 84 120 218 98 252 255 255 63 3 177 128 17 8 64 20 16 51 3 49 11 20 179 2 49 27 16 179 3 49 199 164 77 47 111 228 250 138 49 208 18 76 222 252 138 33 207 79 92 3 200 252 1 196 63 129 248 23 16 255 6 226 63 80 252 23 136 255 255 39 193 115 0 1 6 0 103 228 21 255 69 167 38 77 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipLtailPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 40 8 6 0 0 0 112 235 147 167 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 3 69 73 68 65 84 120 218 98 248 255 255 63 3 12 19 1 24 129 152 9 136 89 129 152 19 136 121 129 88 8 136 37 128 88 30 136 213 39 109 122 249 159 84 0 16 64 76 12 131 0 0 4 208 160 112 4 64 0 13 10 71 0 4 208 160 112 4 64 0 13 10 71 0 4 208 160 112 4 64 0 13 10 71 0 4 16 57 142 96 36 82 140 104 0 16 64 148 134 4 35 146 3 24 201 117 12 64 0 49 81 209 114 178 29 1 16 64 76 100 88 140 140 153 208 104 70 114 156 1 16 64 44 36 164 1 116 203 209 29 192 44 171 106 204 35 37 196 74 178 35 0 2 136 133 2 7 128 48 51 12 7 100 244 235 234 88 6 246 27 41 115 145 236 8 128 0 98 33 195 1 204 232 14 200 235 63 150 161 170 162 92 228 107 46 192 42 35 76 122 72 0 4 16 3 142 170 28 221 82 144 99 217 160 213 55 15 16 11 0 177 168 149 79 166 94 213 188 219 7 182 157 249 240 255 253 151 63 255 255 253 39 15 0 4 16 11 145 9 17 217 231 32 61 44 169 205 219 156 36 21 117 39 135 88 11 139 170 73 115 48 176 179 146 95 84 0 4 16 182 144 64 182 152 5 218 128 225 0 98 110 32 230 147 215 48 151 44 155 117 117 210 130 61 111 254 63 123 247 235 255 159 191 228 250 31 1 0 2 136 133 200 80 0 227 136 162 121 74 170 6 206 243 156 12 4 13 141 85 184 24 120 57 153 169 82 108 3 4 16 177 89 148 177 120 218 249 112 30 126 177 9 145 246 66 220 74 226 236 12 172 44 140 12 212 2 0 1 196 68 108 154 0 166 58 22 120 150 161 158 253 96 0 16 64 140 200 185 130 17 8 144 28 199 136 150 24 89 3 51 39 170 105 91 248 207 116 49 18 210 5 149 7 212 138 14 128 0 66 79 152 200 57 1 57 65 242 3 177 48 16 75 138 201 168 171 20 77 57 59 123 225 222 55 255 159 3 19 38 21 210 229 127 128 0 194 22 18 56 179 37 180 172 0 97 246 200 226 5 78 170 6 78 109 161 182 34 130 170 82 148 101 81 128 0 194 22 18 140 72 22 179 3 49 168 28 230 131 134 4 168 127 33 7 196 42 64 172 173 107 29 232 2 204 174 39 183 159 253 248 255 3 5 133 21 64 0 161 135 4 3 150 172 137 28 18 172 72 161 193 6 117 36 91 90 203 246 36 125 3 195 20 31 51 65 22 105 96 177 205 204 68 90 168 0 4 16 62 71 96 139 18 86 44 14 1 59 198 37 162 74 207 220 61 185 49 217 83 90 66 81 156 157 36 71 0 4 16 49 142 192 230 16 54 52 199 128 67 4 152 104 249 166 173 60 190 61 216 74 144 36 71 0 4 16 174 194 234 63 18 13 194 255 160 142 2 209 127 129 248 15 150 106 157 233 213 147 155 95 158 189 251 77 114 186 4 8 32 22 28 14 96 68 98 255 67 42 188 254 226 105 91 64 240 127 210 51 7 64 0 225 43 182 145 141 251 135 163 52 101 194 18 109 36 3 128 0 194 23 29 140 56 28 194 136 20 29 127 160 150 255 129 58 224 47 57 142 0 8 32 66 33 129 205 33 127 145 162 134 9 74 35 99 146 1 64 0 17 170 69 113 57 228 31 146 131 96 248 31 150 104 35 10 0 4 16 49 85 249 127 44 124 152 133 255 145 232 191 228 58 2 32 128 88 72 41 225 209 178 237 127 44 14 249 79 142 35 0 2 136 220 30 216 127 28 142 34 203 17 0 1 68 105 95 20 155 99 72 6 0 1 196 68 166 197 196 136 17 13 0 2 104 80 140 79 0 4 24 0 164 104 9 140 111 38 81 185 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 106 0 0 0 106 8 6 0 0 0 84 33 196 151 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 13 212 73 68 65 84 120 218 98 252 255 255 63 195 40 24 252 0 32 128 152 70 131 96 104 0 128 0 26 141 168 33 2 0 2 104 52 162 134 8 0 8 160 209 136 26 34 0 32 128 70 35 106 136 0 128 0 98 65 230 48 50 50 14 117 255 96 243 192 144 109 214 34 183 200 1 2 136 101 24 70 12 35 90 4 49 14 135 72 3 8 32 150 97 16 65 248 216 255 209 34 137 113 168 70 24 64 0 177 12 225 72 66 166 25 113 228 176 255 88 34 230 63 150 72 28 244 0 32 128 88 134 112 36 161 99 176 120 213 188 219 137 64 154 185 45 73 117 14 90 68 253 71 227 15 169 200 2 8 32 166 33 30 73 76 72 152 57 171 107 191 6 43 59 87 15 16 119 130 216 32 49 52 53 140 4 114 224 160 5 0 1 196 52 4 115 20 70 4 129 74 6 77 83 79 46 17 73 229 197 209 14 194 220 32 12 98 131 196 160 165 6 174 8 27 50 0 32 128 192 77 64 24 30 228 17 4 143 20 32 102 3 98 78 32 230 6 98 94 32 230 7 22 121 179 14 95 253 252 255 215 159 127 96 12 98 131 196 64 114 80 53 220 80 61 108 104 145 199 56 20 226 6 32 128 232 25 81 140 20 96 88 36 177 2 49 59 52 192 121 160 145 32 152 211 115 40 114 201 254 183 255 191 124 255 251 31 6 64 236 37 7 222 254 207 233 61 28 3 82 3 85 203 3 213 203 14 53 139 25 75 145 72 42 166 75 68 1 4 16 19 29 34 132 137 204 192 96 194 129 97 185 10 140 221 162 106 165 133 37 149 38 187 24 240 50 112 115 32 188 3 98 187 232 243 50 8 75 40 78 0 169 65 214 131 165 40 100 162 130 59 105 26 129 0 1 68 173 28 133 205 225 204 72 24 57 144 88 73 196 108 72 185 8 86 212 129 114 136 8 159 144 164 116 245 130 123 71 174 60 252 246 255 239 191 255 24 0 36 6 146 3 169 1 169 5 233 129 234 69 46 10 217 161 118 144 234 46 244 136 103 70 75 0 20 71 26 114 220 0 4 16 19 149 114 16 222 214 24 90 132 97 139 60 82 48 44 144 88 83 154 182 228 219 233 9 91 171 72 114 48 48 97 9 14 144 24 72 14 164 6 164 22 89 47 5 246 99 243 11 205 91 151 0 1 196 68 163 98 142 137 64 100 176 146 26 41 104 185 145 45 178 120 129 169 170 146 108 145 185 58 55 3 59 43 238 112 0 201 129 212 168 41 203 22 69 149 46 180 64 203 61 44 100 68 30 43 129 72 100 162 69 113 8 16 64 76 84 136 36 6 26 21 121 200 69 31 140 6 99 45 51 111 97 21 125 199 169 222 166 252 204 252 92 204 4 29 10 82 227 101 194 207 172 172 235 48 9 164 23 217 44 52 59 88 105 84 4 50 80 26 89 0 1 196 136 92 55 145 48 122 206 136 165 95 195 136 158 162 26 150 61 251 32 196 195 76 213 58 21 228 68 73 33 86 6 35 101 46 6 57 81 54 6 102 38 226 220 12 172 175 24 30 189 254 197 112 238 238 55 134 231 239 126 51 80 187 145 251 238 203 95 134 134 40 41 1 32 243 31 18 254 11 29 253 248 135 101 100 132 168 58 10 6 0 2 136 146 136 194 21 73 204 192 8 250 168 171 192 201 96 174 198 205 32 45 204 202 48 18 192 211 183 191 25 78 222 250 202 112 249 193 119 80 132 241 67 35 9 87 100 145 28 81 0 1 68 233 88 31 35 122 36 129 204 4 69 82 144 165 0 195 72 2 160 4 137 228 103 244 112 253 75 233 216 34 64 0 49 81 16 57 216 154 227 44 192 220 244 22 148 147 70 42 0 249 29 20 6 88 26 23 20 53 44 0 2 136 133 10 185 9 121 228 128 25 84 39 141 148 226 14 87 206 130 214 203 204 72 197 220 63 164 176 34 43 87 1 4 16 19 133 145 132 222 171 103 97 24 5 200 153 128 137 90 131 193 0 1 68 141 126 20 122 179 124 20 64 0 174 102 58 89 0 32 128 200 173 163 240 13 27 141 2 68 68 81 109 164 2 32 128 40 45 250 176 69 214 40 64 132 45 174 65 94 146 1 64 0 49 145 153 155 240 213 87 163 0 123 68 17 19 150 56 1 64 0 81 99 8 9 185 211 59 26 81 168 97 203 200 64 165 145 116 128 0 162 164 232 195 21 113 163 0 127 120 144 21 70 0 1 68 237 209 243 81 64 163 240 1 8 32 74 139 62 170 164 150 97 28 73 84 11 31 128 0 26 173 83 134 8 0 8 160 209 136 26 34 0 32 128 70 35 106 136 0 128 0 26 141 168 33 2 0 2 104 52 162 134 8 0 8 160 209 136 26 34 0 32 128 70 35 106 136 0 128 0 162 100 244 124 180 255 68 199 240 2 8 32 106 141 76 48 48 140 142 78 208 52 108 0 2 136 137 138 142 24 141 40 236 97 68 149 8 3 8 32 38 10 44 70 31 53 135 136 141 70 21 44 42 112 133 21 89 9 27 32 128 152 40 136 32 244 72 98 150 85 53 230 145 18 98 29 241 241 36 33 200 202 32 46 171 9 218 128 192 140 37 172 200 138 48 128 0 98 34 42 109 16 177 1 32 32 163 95 55 190 102 237 106 208 10 214 145 14 64 97 144 218 178 109 141 119 98 155 6 3 149 54 18 0 4 16 190 149 178 184 34 9 182 94 13 190 54 60 175 255 88 182 170 138 114 145 175 185 0 171 140 48 43 209 203 140 135 43 248 243 247 63 195 147 183 191 25 54 158 120 255 251 206 157 219 157 83 138 109 65 59 31 127 1 241 111 40 6 45 200 252 195 128 125 245 44 60 66 144 227 6 32 128 112 69 20 174 72 66 94 252 207 106 229 147 41 233 16 84 52 201 70 79 212 222 82 131 135 129 159 155 121 180 138 66 10 237 15 95 254 50 28 187 241 133 225 216 229 215 251 14 172 235 43 60 182 101 250 115 104 68 253 129 70 214 95 124 145 133 28 55 0 1 132 47 162 240 69 18 75 106 243 54 103 73 69 221 201 33 214 194 162 106 210 28 120 183 190 140 100 240 227 215 63 134 155 79 127 50 172 59 246 246 197 243 251 151 11 102 215 122 237 69 202 85 184 34 11 35 162 0 2 8 91 68 161 111 165 97 68 46 103 229 53 204 185 195 139 230 85 106 41 137 231 186 25 241 49 136 241 179 140 248 162 142 16 0 237 36 121 245 225 15 195 206 243 159 24 174 223 123 57 121 101 95 82 251 195 27 39 191 162 69 22 242 70 2 104 60 33 226 6 32 128 112 69 20 214 109 158 17 69 243 148 85 13 156 231 57 25 8 26 26 171 112 49 240 114 142 46 227 35 5 124 254 254 151 225 236 157 111 12 251 46 188 63 127 251 194 222 164 21 125 73 119 209 114 21 74 206 66 142 27 128 0 34 38 162 192 145 84 60 237 124 36 15 191 216 132 72 123 33 110 37 113 118 6 86 150 209 92 68 14 248 253 231 63 195 189 151 63 25 150 31 124 247 245 203 199 87 5 189 89 134 203 113 21 129 200 113 3 16 64 76 68 246 159 152 254 255 251 207 2 47 23 71 227 136 162 206 48 252 228 44 72 152 18 181 156 12 32 128 208 115 20 35 82 4 50 162 183 242 2 51 39 170 105 91 248 207 116 49 18 210 5 245 21 70 139 62 210 139 62 208 142 199 61 231 222 93 190 122 98 99 250 250 233 249 55 161 45 192 63 88 234 42 148 44 5 16 64 216 34 10 103 75 15 212 103 18 147 81 231 142 169 88 86 174 175 41 159 226 102 8 108 76 8 176 50 140 182 37 136 104 76 124 252 195 176 11 216 152 184 116 253 225 156 37 29 81 157 175 158 220 252 10 237 91 253 193 213 92 71 142 40 128 0 34 57 162 160 152 61 178 120 129 147 170 129 83 91 168 173 136 160 170 212 104 243 28 23 248 249 251 63 195 173 167 63 24 86 31 121 253 246 214 185 61 149 43 251 147 15 64 35 232 23 41 17 5 16 64 36 21 125 12 168 187 211 217 117 173 3 37 61 227 91 90 29 141 101 204 44 213 185 25 248 70 59 188 40 29 222 143 95 255 50 28 7 118 120 247 159 121 124 98 203 220 178 234 235 167 183 191 4 197 29 82 36 253 198 210 1 198 90 244 1 4 16 190 86 31 182 243 34 80 142 17 96 128 158 122 146 214 178 61 73 223 192 48 197 199 76 144 69 122 116 8 9 60 132 4 218 124 189 241 228 187 63 151 47 156 157 53 167 206 103 1 90 4 33 71 20 114 142 250 135 150 163 224 102 2 4 16 209 205 115 28 185 10 30 97 46 17 85 122 230 238 201 141 201 158 210 18 138 226 236 35 58 162 238 190 248 201 48 111 199 147 199 71 55 77 109 56 184 190 255 42 150 8 194 149 155 112 54 207 1 2 136 164 14 47 90 174 98 69 207 89 192 134 6 223 180 149 199 183 7 91 9 142 232 136 90 123 236 61 67 86 184 165 39 176 193 240 17 26 25 232 197 221 47 28 145 132 51 162 0 2 136 5 79 17 203 192 128 185 89 24 118 110 194 31 6 44 123 120 129 14 251 242 236 221 239 17 95 63 129 194 0 24 22 159 161 97 133 92 188 253 33 20 57 12 56 54 99 3 4 16 11 142 72 66 62 205 248 31 82 7 248 47 3 161 163 218 70 47 207 129 5 53 174 72 66 175 143 254 161 141 241 49 96 139 44 128 0 98 33 104 29 4 252 195 49 106 193 196 48 186 135 23 103 155 2 9 19 202 85 4 79 116 1 8 32 124 69 31 35 142 200 98 68 42 250 254 64 35 232 15 52 146 254 142 198 15 162 159 139 84 77 252 197 18 57 120 231 162 208 1 64 0 17 202 81 216 34 235 47 82 49 200 196 128 58 84 63 26 81 152 17 133 142 73 142 36 16 0 8 32 66 7 120 224 138 44 228 211 179 208 43 198 81 128 26 78 216 194 136 164 72 2 1 128 0 34 230 164 149 255 88 248 200 150 193 232 191 163 17 133 17 81 232 19 130 68 183 242 208 1 64 0 145 114 36 14 182 83 249 209 35 107 180 205 135 26 94 184 194 232 63 169 225 5 16 64 76 20 58 130 129 92 139 71 80 68 97 11 43 146 1 64 0 49 81 201 49 12 163 17 69 219 176 1 8 32 38 50 29 64 140 216 40 160 98 120 1 4 208 232 254 168 33 2 0 2 104 52 162 134 8 0 8 160 209 136 26 34 0 32 128 70 35 106 136 0 128 0 26 141 168 33 2 0 2 104 52 162 134 8 0 8 160 209 136 26 34 0 32 128 40 137 168 209 254 20 29 195 7 32 128 168 53 50 49 58 42 65 227 240 1 8 32 38 42 167 150 209 200 34 28 30 100 133 17 64 0 49 81 41 181 192 71 136 65 183 190 128 214 180 141 84 0 242 59 40 12 24 112 143 154 147 5 0 2 136 137 138 57 9 60 215 210 16 37 165 5 186 245 101 164 2 144 223 65 97 192 128 57 247 68 81 206 2 8 32 22 42 228 38 148 136 2 226 191 160 171 121 64 96 164 94 75 196 128 127 41 24 89 185 10 32 128 200 185 63 10 121 213 17 250 141 107 200 11 50 89 27 150 61 187 56 194 46 250 210 103 192 190 224 18 121 245 17 182 229 97 216 115 3 146 35 1 2 136 210 136 194 181 219 3 182 146 22 215 253 127 140 68 218 131 76 195 151 166 73 200 107 241 36 55 108 158 150 230 45 35 33 11 140 44 70 34 178 255 99 96 36 205 218 250 228 197 220 6 223 172 23 15 175 125 65 171 67 144 139 162 255 68 150 40 200 107 34 208 151 134 17 218 173 65 114 68 1 4 16 165 51 188 232 139 8 145 29 251 27 205 209 63 145 104 100 252 11 7 70 87 3 87 11 12 232 15 71 183 76 107 221 116 242 253 31 208 142 9 66 0 164 6 164 22 164 7 164 151 128 155 136 113 15 134 155 208 252 140 158 123 8 213 87 4 1 64 0 81 114 141 16 122 253 4 91 70 246 27 73 254 47 212 142 191 12 184 175 64 96 36 34 103 97 156 24 115 96 109 239 37 37 29 219 121 42 82 142 105 142 186 188 56 247 103 129 246 39 157 188 249 149 225 252 153 19 243 64 122 24 240 175 8 34 182 33 245 31 71 174 250 139 148 80 73 90 96 73 8 0 4 16 11 153 17 132 94 4 48 226 40 26 152 209 34 137 137 129 180 27 95 240 110 88 152 215 24 176 88 68 234 138 137 172 136 146 145 166 44 39 198 206 71 96 181 196 112 231 249 15 134 125 103 30 159 91 210 25 189 20 169 40 194 183 246 155 88 255 163 151 40 184 22 92 146 189 242 8 25 0 4 16 165 23 115 253 71 202 57 184 34 10 223 249 63 164 68 20 51 90 68 129 3 97 211 172 226 6 118 174 89 139 178 188 37 5 64 135 69 33 131 87 31 126 51 172 60 244 250 3 72 205 175 31 95 127 48 96 223 65 241 151 140 0 252 143 163 248 255 139 22 105 232 230 147 13 0 2 136 26 29 94 244 117 125 127 177 212 85 248 234 40 92 248 23 26 251 7 150 122 228 231 141 179 59 159 95 61 177 185 113 247 133 79 12 95 127 32 150 21 130 216 123 46 126 102 0 201 129 212 160 235 131 226 31 88 236 33 213 125 191 176 212 77 248 110 12 37 11 0 4 16 37 253 40 244 29 31 76 104 14 195 119 9 35 57 57 10 35 55 193 2 96 221 212 156 131 50 42 70 43 20 196 117 35 44 212 33 23 97 158 191 247 141 225 204 165 219 171 64 114 12 216 119 86 80 82 135 224 90 42 135 109 97 42 193 157 26 196 0 128 0 162 180 49 1 11 76 228 186 234 63 22 49 70 28 77 110 98 155 232 216 246 20 35 7 2 243 194 150 144 94 30 129 67 134 18 2 50 234 32 13 219 79 189 188 185 160 41 168 27 154 226 241 69 20 182 38 58 41 17 133 107 56 141 106 107 250 64 0 32 128 168 81 71 97 203 105 140 104 17 137 45 130 72 205 85 76 88 154 187 48 204 242 241 237 179 191 39 119 204 41 102 101 203 89 5 30 202 1 178 129 98 95 176 244 115 240 53 38 200 105 76 49 48 224 94 144 74 106 255 12 39 0 8 32 114 111 182 198 149 242 25 136 136 20 70 50 204 70 111 158 179 160 117 180 225 135 106 101 180 239 14 5 105 154 81 233 186 154 1 117 129 254 31 180 22 25 165 253 155 255 68 68 30 69 197 29 114 220 0 4 16 181 34 138 1 79 68 48 82 41 242 209 235 41 108 152 9 75 221 249 151 1 255 22 152 255 212 8 84 28 165 11 101 197 21 82 220 0 4 16 45 238 205 253 143 167 46 35 215 28 70 180 8 192 213 60 198 166 238 47 142 102 51 197 163 5 212 138 16 98 0 64 0 209 243 130 99 106 120 8 189 115 253 31 169 238 250 139 165 187 129 173 62 251 75 141 14 40 189 1 64 0 13 149 155 168 177 229 210 191 88 114 22 174 156 247 143 218 211 14 244 6 0 1 52 212 174 12 255 143 37 103 161 71 18 174 34 146 106 179 173 3 1 0 2 136 101 136 69 18 182 109 170 216 14 42 198 215 100 38 122 59 230 96 2 0 1 52 20 115 20 35 90 64 51 162 117 180 25 136 232 231 48 12 181 28 5 16 64 67 45 162 112 229 44 92 45 203 255 68 176 135 4 0 8 160 161 24 81 216 134 175 208 35 17 87 100 12 217 229 108 0 1 52 84 35 10 87 192 51 14 245 156 131 11 0 4 24 0 187 28 164 182 222 82 130 71 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipRPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 100 8 6 0 0 0 8 113 89 176 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 0 122 73 68 65 84 120 218 236 206 161 13 131 0 20 0 209 43 73 5 162 166 10 135 236 190 140 194 86 157 226 119 133 226 16 239 146 243 175 185 216 113 126 167 250 84 123 181 85 239 234 85 173 213 179 90 170 199 204 244 239 75 55 8 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 226 30 136 31 0 0 0 255 255 3 0 51 210 85 48 138 19 23 21 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipRtailPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 40 8 6 0 0 0 112 235 147 167 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 3 93 73 68 65 84 120 218 98 248 79 34 152 180 233 229 127 6 6 6 117 32 150 7 98 9 32 22 2 98 94 32 230 4 98 86 32 102 2 98 70 6 2 0 104 20 28 3 4 16 19 195 32 0 0 1 52 40 28 1 16 64 131 194 17 0 1 52 40 28 1 16 64 131 194 17 0 1 52 40 28 1 16 64 131 194 17 0 1 68 169 35 24 137 20 195 11 0 2 136 137 2 203 25 177 176 201 2 0 1 68 169 35 168 226 24 128 0 98 34 51 2 208 29 193 132 69 140 104 7 1 4 16 201 142 144 16 100 101 16 151 213 4 213 19 204 80 253 76 72 14 33 203 49 0 1 68 178 35 140 148 185 24 82 91 182 173 241 78 108 211 128 58 132 25 205 65 76 56 162 10 39 0 8 32 70 80 205 72 138 35 254 252 253 207 240 228 237 111 134 141 39 222 255 190 115 231 118 231 148 98 219 89 64 225 95 64 252 27 138 255 130 148 1 241 63 80 101 137 132 25 144 104 6 100 107 1 2 136 225 63 25 224 31 16 191 251 252 231 255 150 211 31 254 87 205 187 189 215 202 39 83 15 104 150 40 16 11 0 49 15 180 90 103 3 98 22 164 80 66 137 26 228 170 28 32 128 72 14 9 100 240 227 215 63 134 155 79 127 50 172 59 246 246 197 243 251 151 11 102 215 122 237 69 10 13 24 70 15 145 255 232 33 1 16 64 100 133 4 50 248 243 247 223 255 103 111 127 253 159 191 231 205 255 178 89 87 39 201 107 152 75 2 205 229 3 98 110 32 230 128 54 116 88 208 67 3 57 36 0 2 136 162 144 64 6 159 191 255 101 56 123 231 27 195 190 11 239 207 223 190 176 55 105 69 95 210 93 180 208 64 9 17 100 107 1 2 136 106 142 0 129 223 127 254 51 220 123 249 147 97 249 193 119 95 191 124 124 85 208 155 101 184 28 87 180 32 91 11 16 64 212 173 192 24 17 41 15 152 122 89 112 100 87 12 0 16 64 44 212 178 31 20 29 231 238 126 99 216 115 238 221 229 171 39 54 166 175 159 158 127 19 71 121 241 31 137 6 3 128 0 162 78 194 124 247 235 255 130 189 111 254 23 77 57 59 91 76 70 93 5 104 46 40 113 10 3 49 63 90 2 133 103 87 228 132 9 16 64 20 133 196 207 223 255 25 110 61 253 193 176 250 200 235 183 183 206 237 169 92 217 159 124 0 154 69 73 2 0 1 68 150 35 64 225 248 241 235 95 134 227 55 190 48 236 63 243 248 196 150 185 101 213 215 79 111 127 137 163 132 196 89 106 194 0 64 0 145 236 8 80 177 253 20 84 108 159 124 247 231 242 133 179 179 230 212 249 44 0 5 10 90 86 252 71 160 216 70 113 8 64 0 145 236 136 135 175 127 49 204 219 241 228 241 209 77 83 27 14 174 239 191 10 173 39 254 98 41 37 113 57 4 3 0 4 16 201 142 184 112 239 27 195 156 90 239 180 87 79 110 126 68 170 172 254 96 113 204 63 66 150 195 0 64 0 145 92 78 60 123 247 155 1 232 128 207 80 139 126 163 57 226 15 190 82 18 151 131 0 2 136 137 172 84 137 219 1 127 240 164 13 6 92 9 19 32 128 200 45 49 145 45 37 20 26 4 211 4 64 0 145 235 136 191 72 233 225 47 22 139 255 18 106 212 32 3 128 0 162 212 17 216 114 5 73 14 0 1 128 0 34 215 17 255 144 44 36 38 91 226 205 33 0 1 196 66 129 35 254 66 13 255 135 68 19 149 27 208 1 64 0 145 27 18 255 177 56 224 63 57 14 0 1 128 0 162 212 17 216 234 9 146 1 64 0 81 234 8 138 44 135 1 128 0 162 180 101 245 159 72 49 188 0 32 128 6 197 248 4 64 128 1 0 145 117 162 234 212 62 211 46 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipTBPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 1 0 0 0 66 8 6 0 0 0 150 217 188 75 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 0 4 103 65 77 65 0 0 177 142 124 251 81 147 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 1 58 73 68 65 84 120 218 98 248 255 255 63 3 64 0 49 49 0 1 64 0 129 9 128 0 2 19 0 1 4 38 0 2 8 76 0 4 16 152 0 8 32 48 1 16 64 96 2 32 128 192 4 64 0 129 9 128 0 2 19 0 1 4 38 0 2 8 76 0 4 16 8 49 2 4 16 136 197 8 16 64 32 130 25 32 128 64 4 11 64 0 129 9 128 0 2 17 172 0 1 196 48 105 211 203 255 0 1 196 0 180 232 63 64 0 129 21 3 4 16 152 0 8 32 48 1 16 64 96 2 32 128 192 4 64 0 129 9 128 0 2 19 0 1 4 38 0 2 8 76 0 4 16 152 0 8 32 48 1 16 64 96 2 32 128 192 4 64 0 129 9 128 0 2 19 0 1 4 38 0 2 8 76 0 4 16 152 0 8 32 48 1 16 64 96 2 32 128 192 4 64 0 129 9 128 0 2 19 0 1 196 52 121 243 43 6 128 0 2 49 236 0 2 8 196 253 5 16 64 32 226 7 64 0 129 136 239 0 1 4 102 1 4 16 136 248 9 16 64 96 9 128 0 98 6 57 23 32 128 64 4 51 64 0 129 8 70 128 0 2 17 12 0 1 4 38 0 2 8 228 112 6 128 0 2 27 5 16 64 96 2 32 128 192 4 64 0 129 9 128 0 2 19 0 1 4 38 0 2 8 76 0 4 24 0 177 167 21 252 223 158 14 149 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipTLcornerPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 33 8 6 0 0 0 87 228 194 111 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 113 73 68 65 84 120 218 98 252 255 255 63 195 64 3 128 0 98 98 24 4 0 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 88 72 81 204 200 200 72 137 93 56 53 3 4 16 11 13 60 198 72 172 229 48 0 16 64 44 52 176 152 17 143 24 86 71 1 4 16 11 21 29 128 76 51 98 225 227 116 12 64 0 177 80 193 1 216 44 103 132 38 122 70 28 142 64 9 13 128 0 98 161 162 3 152 176 208 76 88 28 135 225 8 128 0 98 161 82 26 128 89 198 140 100 57 83 195 178 103 31 132 120 152 9 26 6 16 64 140 164 52 116 145 178 40 182 96 135 57 128 25 104 249 71 93 5 78 6 115 53 110 6 105 97 86 130 230 2 4 16 181 210 4 220 1 32 51 65 14 8 178 20 32 218 16 128 0 98 162 192 98 70 180 184 7 59 0 24 10 111 65 33 64 10 0 8 32 38 42 132 2 35 146 35 152 65 105 128 152 40 64 6 0 1 196 68 161 3 152 208 48 89 209 11 16 64 76 84 72 19 200 209 193 76 142 33 0 1 196 68 97 9 137 45 93 144 12 0 2 136 137 10 233 1 221 33 36 3 128 0 98 162 160 144 194 149 62 72 6 0 1 68 205 220 193 72 174 121 0 1 68 73 116 224 171 75 72 2 0 1 68 141 220 193 72 137 3 64 0 32 192 0 69 116 18 185 159 241 123 111 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipTPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 100 0 0 0 33 8 6 0 0 0 47 119 14 139 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 0 116 73 68 65 84 120 218 236 218 177 13 128 32 20 69 81 17 220 63 113 20 182 98 138 79 99 109 97 245 76 206 77 92 224 157 70 2 173 170 14 229 116 154 0 136 128 0 17 16 32 2 2 68 64 128 8 136 128 0 209 151 218 243 41 164 1 36 15 164 155 33 11 100 152 1 136 94 64 46 51 4 253 101 221 115 185 84 79 2 41 175 28 28 12 5 4 136 128 0 17 16 32 2 2 68 64 4 228 31 109 0 0 0 255 255 3 0 57 133 10 128 163 40 122 178 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipTRcornerPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 33 0 0 0 33 8 6 0 0 0 87 228 194 111 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 137 73 68 65 84 120 218 98 252 255 255 63 195 64 3 128 0 98 98 24 4 0 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 6 133 35 0 2 104 80 56 2 32 128 24 161 24 23 32 187 138 37 165 118 6 8 32 22 2 142 96 196 225 24 170 214 255 0 1 4 114 4 51 129 16 248 143 199 49 84 113 16 64 0 177 64 49 46 203 97 52 54 54 178 3 41 114 8 64 0 161 59 2 221 114 100 139 65 248 31 26 159 42 33 2 16 64 32 7 176 226 113 4 186 3 24 209 28 243 143 136 232 34 8 0 2 136 113 210 166 151 4 53 190 251 242 151 161 33 74 74 0 106 41 12 255 197 18 58 112 135 144 146 59 0 2 136 241 63 17 170 159 190 253 205 112 242 214 87 134 203 15 190 131 28 195 15 117 0 46 135 144 236 8 128 0 98 33 70 145 180 48 43 67 144 165 0 46 61 127 41 77 156 0 1 68 82 137 105 174 198 205 208 176 236 217 91 164 172 205 4 197 140 104 152 36 0 16 64 44 164 40 6 133 136 16 15 184 88 97 198 146 96 201 14 13 128 0 98 162 32 87 49 161 97 178 66 1 4 0 2 136 92 71 48 99 137 14 178 1 64 0 81 226 8 108 233 129 129 28 7 1 4 16 19 5 142 199 150 32 201 10 17 128 0 162 150 35 112 213 190 68 1 128 0 162 196 17 140 56 162 131 100 0 16 64 228 58 130 42 33 0 3 0 1 68 73 243 142 145 26 161 0 2 0 1 6 0 72 40 97 5 17 31 229 235 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: ''!
bubbletipTtailPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 33 8 6 0 0 0 171 241 233 165 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 197 73 68 65 84 120 218 98 252 255 255 63 195 96 6 0 1 196 196 48 200 1 64 0 13 122 7 2 4 208 160 119 32 64 0 13 122 7 2 4 208 160 119 32 64 0 49 210 216 44 138 139 8 128 0 98 164 178 94 70 60 14 35 203 177 0 1 196 72 161 30 70 60 102 253 39 130 77 16 0 4 16 35 153 142 67 166 25 9 56 240 63 26 155 36 71 2 4 16 35 153 142 67 199 96 241 170 121 183 19 129 52 115 91 146 234 28 44 14 252 143 195 177 120 1 64 0 49 82 224 56 38 100 126 86 215 126 53 81 105 181 163 32 69 175 159 222 178 158 86 230 120 11 205 81 255 200 113 36 64 0 49 145 24 130 48 135 193 48 51 16 179 104 154 122 114 137 72 42 47 142 118 16 230 6 97 16 27 36 6 146 131 170 65 214 195 72 74 204 1 4 16 177 14 131 59 6 136 217 128 152 19 136 185 129 152 23 136 249 129 81 59 235 240 213 207 255 127 253 249 7 198 32 54 72 12 36 7 85 195 13 213 195 134 230 104 130 14 5 8 32 92 105 10 61 42 65 6 178 2 49 59 212 34 30 168 229 130 57 61 135 34 151 236 127 251 255 203 247 191 255 97 0 196 94 114 224 237 255 156 222 195 49 32 53 80 181 60 80 189 236 80 179 152 209 147 9 54 12 16 64 184 20 49 225 139 82 24 118 139 170 149 82 51 114 93 21 110 43 196 37 200 195 2 247 49 27 11 35 131 184 0 11 195 213 231 108 246 236 28 220 235 238 94 62 244 13 71 212 98 205 108 200 24 32 128 24 160 190 193 133 217 144 66 13 22 165 160 16 17 225 19 146 148 174 94 112 239 200 149 135 223 254 255 253 247 31 3 128 196 64 114 32 53 32 181 32 61 80 189 200 81 206 14 181 3 167 27 0 2 136 25 170 136 9 7 102 70 195 176 208 99 205 238 62 88 224 108 34 19 97 164 204 205 192 202 140 153 148 24 129 66 252 92 44 160 72 146 227 87 241 248 123 124 219 172 83 56 66 136 9 31 6 8 32 102 168 79 112 57 142 9 41 81 195 29 23 89 188 192 196 200 216 100 130 135 49 63 19 55 7 238 130 128 5 232 112 17 126 22 134 231 159 217 44 248 164 116 142 95 62 182 225 5 142 164 196 140 203 129 0 1 196 12 77 188 204 56 48 178 227 192 65 174 101 230 45 100 227 151 179 52 194 94 68 64 140 159 149 96 14 228 96 101 2 166 71 86 166 251 159 68 172 223 60 189 189 254 245 211 219 191 113 4 4 182 24 99 6 8 32 198 73 155 94 18 95 237 0 253 42 41 196 202 96 164 204 197 32 39 202 198 192 204 68 92 113 6 76 143 12 143 94 255 98 56 119 247 27 195 243 119 191 25 72 233 6 1 4 16 227 255 65 222 107 2 8 160 65 223 96 5 8 160 65 239 64 128 0 26 244 14 4 8 160 65 239 64 128 0 26 244 14 4 8 160 65 239 64 128 0 26 244 14 4 8 160 65 239 64 128 0 26 244 14 4 8 160 65 239 64 128 0 26 244 14 4 8 48 0 195 77 194 149 46 162 252 78 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxLibrary methodsFor: 'uploaded' stamp: 'NickAger 2/4/2010 14:26'!
jQuerybubbletipJs
	^ '/*
 * bubbletip
 *
 * Copyright (c) 2009, UhLeeKa
 * Version: 
 *      1.0.5
 * Licensed under the GPL license:
 *     http://www.gnu.org/licenses/gpl.html
 * Author Website: 
 *     http://www.uhleeka.com
 * Description: 
 *     A bubble-styled tooltip extension
 *      - multiple tips on a page
 *      - multiple tips per jQuery element 
 *      - tips open outward in four directions:
 *         - up
 *         - down
 *         - left
 *         - right
 *      - tips can be: 
 *         - anchored to the triggering jQuery element
 *         - absolutely positioned
 *         - opened at the current mouse coordinates
 *         - anchored to a specified jQuery element
 *      - IE png transparency is handled via filters
 */
; (function($) {
	var bindIndex = 0;
	$.fn.extend({
		bubbletip: function(tip, options) {
			// check to see if the tip is a descendant of 
			// a table.bubbletip element and therefore
			// has already been instantiated as a bubbletip
			if ($(''table.bubbletip #'' + $(tip).get(0).id).length > 0) {
				return this;
			}

			var _this, _tip, _options, _calc, _timeoutAnimate, _timeoutRefresh, _isActive, _isHiding, _wrapper, _bindIndex;
			// hack for IE6,IE7
			var _windowWidth, _windowHeight;

			_this = $(this);
			_tip = $(tip);
			_bindIndex = bindIndex++;  // for window.resize namespace binding
			_options = {
				positionAt: ''element'', // element | body | mouse
				positionAtElement: _this,
				offsetTop: 0,
				offsetLeft: 0,
				deltaPosition: 30,
				deltaDirection: ''up'', // direction: up | down | left | right
				animationDuration: 250,
				animationEasing: ''swing'', // linear | swing
				bindShow: ''mouseover'', // mouseover | focus | click | etc.
				bindHide: ''mouseout'', // mouseout | blur | etc.
				delayShow: 0,
				delayHide: 500,
				calculateOnShow: false
			};
			if (options) {
				_options = $.extend(_options, options);
			}
			// calculated values
			_calc = {
				top: 0,
				left: 0,
				delta: 0,
				mouseTop: 0,
				mouseLeft: 0,
				tipHeight: 0,
				bindShow: (_options.bindShow + '' '').replace(/ +/g, ''.bubbletip'' + _bindIndex),
				bindHide: (_options.bindHide + '' '').replace(/ +/g, ''.bubbletip'' + _bindIndex)
			};
			_timeoutAnimate = null;
			_timeoutRefresh = null;
			_isActive = false;
			_isHiding = false;

			// store the tip id for removeBubbletip
			if (!!_this.data(''bubbletip_tips'')) {
				_this.data(''bubbletip_tips'', [[_tip.get(0).id, _bindIndex]]);
			} else {
				_this.data(''bubbletip_tips'', $.merge(_this.data(''bubbletip_tips''), [[_tip.get(0).id, _bindIndex]]));
			}


			// validate _options
			if (!!_options.positionAt.match(/^element|body|mouse$/i)) {
				_options.positionAt = ''element'';
			}
			if (!!_options.deltaDirection.match(/^up|down|left|right$/i)) {
				_options.deltaDirection = ''up'';
			}

			// create the wrapper table element
			if (_options.deltaDirection.match(/^up$/i)) {
				_wrapper = $(''<table class="bubbletip" cellspacing="0" cellpadding="0"><tbody><tr><td class="bt-topleft"></td><td class="bt-top"></td><td class="bt-topright"></td></tr><tr><td class="bt-left"></td><td class="bt-content"></td><td class="bt-right"></td></tr><tr><td class="bt-bottomleft"></td><td><table class="bt-bottom" cellspacing="0" cellpadding="0"><tr><th></th><td><div></div></td><th></th></tr></table></td><td class="bt-bottomright"></td></tr></tbody></table>'');
			} else if (_options.deltaDirection.match(/^down$/i)) {
				_wrapper = $(''<table class="bubbletip" cellspacing="0" cellpadding="0"><tbody><tr><td class="bt-topleft"></td><td><table class="bt-top" cellspacing="0" cellpadding="0"><tr><th></th><td><div></div></td><th></th></tr></table></td><td class="bt-topright"></td></tr><tr><td class="bt-left"></td><td class="bt-content"></td><td class="bt-right"></td></tr><tr><td class="bt-bottomleft"></td><td class="bt-bottom"></td><td class="bt-bottomright"></td></tr></tbody></table>'');
			} else if (_options.deltaDirection.match(/^left$/i)) {
				_wrapper = $(''<table class="bubbletip" cellspacing="0" cellpadding="0"><tbody><tr><td class="bt-topleft"></td><td class="bt-top"></td><td class="bt-topright"></td></tr><tr><td class="bt-left"></td><td class="bt-content"></td><td class="bt-right-tail"><div class="bt-right"></div><div class="bt-right-tail"></div><div class="bt-right"></div></td></tr><tr><td class="bt-bottomleft"></td><td class="bt-bottom"></td><td class="bt-bottomright"></td></tr></tbody></table>'');
			} else if (_options.deltaDirection.match(/^right$/i)) {
				_wrapper = $(''<table class="bubbletip" cellspacing="0" cellpadding="0"><tbody><tr><td class="bt-topleft"></td><td class="bt-top"></td><td class="bt-topright"></td></tr><tr><td class="bt-left-tail"><div class="bt-left"></div><div class="bt-left-tail"></div><div class="bt-left"></div></td><td class="bt-content"></td><td class="bt-right"></td></tr><tr><td class="bt-bottomleft"></td><td class="bt-bottom"></td><td class="bt-bottomright"></td></tr></tbody></table>'');
			}

			// append the wrapper to the document body
			_wrapper.appendTo(''body'');

			// apply IE filters to _wrapper elements
			if ((/msie/.test(navigator.userAgent.toLowerCase())) && (!!/opera/.test(navigator.userAgent.toLowerCase()))) {
				$(''*'', _wrapper).each(function() {
					var image = $(this).css(''background-image'');
					if (image.match(/^url\(["'']?(.*\.png)["'']?\)$/i)) {
						image = RegExp.$1;
						$(this).css({
							''backgroundImage'': ''none'',
							''filter'': ''progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod='' + ($(this).css(''backgroundRepeat'') == ''no-repeat'' ? ''crop'' : ''scale'') + '', src=\'''' + image + ''\'')''
						}).each(function() {
							var position = $(this).css(''position'');
							if (position !!= ''absolute'' && position !!= ''relative'')
								$(this).css(''position'', ''relative'');
						});
					}
				});
			}

			// move the tip element into the content section of the wrapper
			$(''.bt-content'', _wrapper).append(_tip);
			// show the tip (in case it is hidden) so that we can calculate its dimensions
			_tip.show();
			// handle left|right delta
			if (_options.deltaDirection.match(/^left|right$/i)) {
				// tail is 40px, so divide height by two and subtract 20px;
				_calc.tipHeight = parseInt(_tip.height() / 2);
				// handle odd integer height
				if ((_tip.height() % 2) == 1) {
					_calc.tipHeight++;
				}
				_calc.tipHeight = (_calc.tipHeight < 20) ? 1 : _calc.tipHeight - 20;
				if (_options.deltaDirection.match(/^left$/i)) {
					$(''div.bt-right'', _wrapper).css(''height'', _calc.tipHeight + ''px'');
				} else {
					$(''div.bt-left'', _wrapper).css(''height'', _calc.tipHeight + ''px'');
				}
			}
			// set the opacity of the wrapper to 0
			_wrapper.css(''opacity'', 0);
			// execute initial calculations
			_Calculate();
			_wrapper.hide();

			// handle window.resize
			$(window).bind(''resize.bubbletip'' + _bindIndex, function() {
				var w = $(window).width();
				var h = $(window).height();

				if ((w === _windowWidth) && (h === _windowHeight)) {
					return;
				}
				_windowWidth = w;
				_windowHeight = h;

				if (_timeoutRefresh) {
					clearTimeout(_timeoutRefresh);
				}

				_timeoutRefresh = setTimeout(function() {
					_Calculate();
				}, 250);
			});

			// handle mouseover and mouseout events
			$([_wrapper.get(0), this.get(0)]).bind(_calc.bindShow, function(e) {
				if (_timeoutAnimate) {
					clearTimeout(_timeoutAnimate);
				}
				_timeoutAnimate = setTimeout(function() {
					if (_isActive) {
						return;
					}
					_isActive = true;
					if (_isHiding) {
						_wrapper.stop(true, false);
					}

					var animation;

					if (_options.calculateOnShow) {
						_Calculate();
					}
					if (_options.positionAt.match(/^element|body$/i)) {
						if (_options.deltaDirection.match(/^up|down$/i)) {
							if (!!_isHiding) {
								_wrapper.css(''top'', parseInt(_calc.top + _calc.delta) + ''px'');
							}
							animation = { ''top'': _calc.top + ''px'' };
						} else {
							if (!!_isHiding) {
								_wrapper.css(''left'', parseInt(_calc.left + _calc.delta) + ''px'');
							}
							animation = { ''left'': _calc.left + ''px'' };
						}
					} else {
						if (_options.deltaDirection.match(/^up|down$/i)) {
							if (!!_isHiding) {
								_calc.mouseTop = e.pageY + _calc.top;
								_wrapper.css({ ''top'': parseInt(_calc.mouseTop + _calc.delta) + ''px'', ''left'': parseInt(e.pageX - (_wrapper.width() / 2)) + ''px'' });
							}
							animation = { ''top'': _calc.mouseTop + ''px'' };
						} else {
							if (!!_isHiding) {
								_calc.mouseLeft = e.pageX + _calc.left;
								_wrapper.css({ ''left'': parseInt(_calc.mouseLeft + _calc.delta) + ''px'', ''top'': parseInt(e.pageY - (_wrapper.height() / 2)) + ''px'' });
							}
							animation = { ''left'': _calc.left + ''px'' };
						}
					}
					_isHiding = false;
					_wrapper.show();
					animation = $.extend(animation, { ''opacity'': 1 });
					_wrapper.animate(animation, _options.animationDuration, _options.animationEasing, function() {
						_wrapper.css(''opacity'', '''');
						_isActive = true;
					});
				}, _options.delayShow);

				return false;
			}).bind(_calc.bindHide, function(e) {
				if (_timeoutAnimate) {
					clearTimeout(_timeoutAnimate);
				}
				_timeoutAnimate = setTimeout(function() {
					var animation;

					_isActive = false;
					_isHiding = true;
					if (_options.positionAt.match(/^element|body$/i)) {
						if (_options.deltaDirection.match(/^up|down$/i)) {
							animation = { ''top'': parseInt(_calc.top - _calc.delta) + ''px'' };
						} else {
							animation = { ''left'': parseInt(_calc.left - _calc.delta) + ''px'' };
						}
					} else {
						if (_options.deltaDirection.match(/^up|down$/i)) {
							animation = { ''top'': parseInt(_calc.mouseTop - _calc.delta) + ''px'' };
						} else {
							animation = { ''left'': parseInt(_calc.mouseLeft - _calc.delta) + ''px'' };
						}
					}
					animation = $.extend(animation, { ''opacity'': 0 });
					_wrapper.animate(animation, _options.animationDuration, _options.animationEasing, function() {
						_wrapper.hide();
						_isHiding = false;
					});

				}, _options.delayHide);

				return false;
			});

			function _Calculate() {
				// calculate values
				if (_options.positionAt.match(/^element$/i)) {
					var offset = _options.positionAtElement.offset();
					if (_options.deltaDirection.match(/^up$/i)) {
						_calc.top = offset.top + _options.offsetTop - _wrapper.height();
						_calc.left = offset.left + _options.offsetLeft + ((_options.positionAtElement.width() - _wrapper.width()) / 2);
						_calc.delta = _options.deltaPosition;
					} else if (_options.deltaDirection.match(/^down$/i)) {
						_calc.top = offset.top + _options.positionAtElement.height() + _options.offsetTop;
						_calc.left = offset.left + _options.offsetLeft + ((_options.positionAtElement.width() - _wrapper.width()) / 2);
						_calc.delta = -_options.deltaPosition;
					} else if (_options.deltaDirection.match(/^left$/i)) {
						_calc.top = offset.top + _options.offsetTop + ((_options.positionAtElement.height() - _wrapper.height()) / 2);
						_calc.left = offset.left + _options.offsetLeft - _wrapper.width();
						_calc.delta = _options.deltaPosition;
					} else if (_options.deltaDirection.match(/^right$/i)) {
						_calc.top = offset.top + _options.offsetTop + ((_options.positionAtElement.height() - _wrapper.height()) / 2);
						_calc.left = offset.left + _options.positionAtElement.width() + _options.offsetLeft;
						_calc.delta = -_options.deltaPosition;
					}
				} else if (_options.positionAt.match(/^body$/i)) {
					if (_options.deltaDirection.match(/^up|left$/i)) {
						_calc.top = _options.offsetTop;
						_calc.left = _options.offsetLeft;
						// up or left
						_calc.delta = _options.deltaPosition;
					} else {
						if (_options.deltaDirection.match(/^down$/i)) {
							_calc.top = parseInt(_options.offsetTop + _wrapper.height());
							_calc.left = _options.offsetLeft;
						} else {
							_calc.top = _options.offsetTop;
							_calc.left = parseInt(_options.offsetLeft + _wrapper.width());
						}
						// down or right
						_calc.delta = -_options.deltaPosition;
					}
				} else if (_options.positionAt.match(/^mouse$/i)) {
					if (_options.deltaDirection.match(/^up|left$/i)) {
						if (_options.deltaDirection.match(/^up$/i)) {
							_calc.top = -(_options.offsetTop + _wrapper.height());
							_calc.left = _options.offsetLeft;
						} else if (_options.deltaDirection.match(/^left$/i)) {
							_calc.top = _options.offsetTop;
							_calc.left = -(_options.offsetLeft + _wrapper.width());
						}
						// up or left
						_calc.delta = _options.deltaPosition;
					} else {
						_calc.top = _options.offsetTop;
						_calc.left = _options.offsetLeft;
						// down or right
						_calc.delta = -_options.deltaPosition;
					}
				}
				// handle the wrapper (element|body) positioning
				if (_options.positionAt.match(/^element|body$/i)) {
					_wrapper.css({
						''position'': ''absolute'',
						''top'': _calc.top + ''px'',
						''left'': _calc.left + ''px''
					});
				}
			};
			return this;
		},
		removeBubbletip: function(tips) {
			var tipsActive;
			var tipsToRemove = new Array();
			var tipsActiveAdjusted = new Array();
			var arr, i, ix;
			var elem;

			tipsActive = $.makeArray($(this).data(''bubbletip_tips''));

			// convert the parameter array of tip id''s or elements to id''s
			arr = $.makeArray(tips);
			for (i = 0; i < arr.length; i++) {
				tipsToRemove.push($(arr[i]).get(0).id);
			}

			for (i = 0; i < tipsActive.length; i++) {
				ix = null;
				if ((tipsToRemove.length == 0) || ((ix = $.inArray(tipsActive[i][0], tipsToRemove)) >= 0)) {
					// remove all tips if there are none specified
					// otherwise, remove only specified tips

					// find the surrounding table.bubbletip
					elem = $(''#'' + tipsActive[i][0]).get(0).parentNode;
					while (elem.tagName.toLowerCase() !!= ''table'') {
						elem = elem.parentNode;
					}
					// attach the tip element to body and hide
					$(''#'' + tipsActive[i][0]).appendTo(''body'').hide();
					// remove the surrounding table.bubbletip
					$(elem).remove();

					// unbind show/hide events
					$(this).unbind(''.bubbletip'' + tipsActive[i][1]);

					// unbind window.resize event
					$(window).unbind(''.bubbletip'' + tipsActive[i][1]);
				} else {
					// tip is not being removed, so add it to the adjusted array
					tipsActiveAdjusted.push(tipsActive[i]);
				}
			}
			$(this).data(''bubbletip_tips'', tipsActiveAdjusted);

			return this;
		}
	});
})(jQuery);'! !
